Skip to main content
`Ctrl`+`K`
scipy.fft.

# irfft2

scipy.fft.irfft2(x, s=None, axes=(-2, -1), norm=None, overwrite_x=False, workers=None, *, plan=None)

  Computes the inverse of `rfft2`

  Parameters:
    x array_like

      The input array

    s sequence of ints, optional

      Shape of the real output to the inverse FFT.

    axes sequence of ints, optional

      The axes over which to compute the inverse fft. Default is the last two axes.

    norm{“backward”, “ortho”, “forward”}, optional

      Normalization mode (see `fft`). Default is “backward”.

    overwrite_x bool, optional

      If True, the contents of x can be destroyed; the default is False. See `fft` for more details.

    workers int, optional

      Maximum number of workers to use for parallel computation. If negative, the value wraps around from `os.cpu_count()`. See `fft` for more details.

    plan object, optional

      This argument is reserved for passing in a precomputed plan provided by downstream FFT vendors. It is currently not used in SciPy.

      Added in version 1.5.0.

  Returns:
    out ndarray

      The result of the inverse real 2-D FFT.

  See also

  `rfft2`

    The 2-D FFT of real input.

  `irfft`

    The inverse of the 1-D FFT of real input.

  `irfftn`

    The inverse of the N-D FFT of real input.

  Notes

  This is really `irfftn` with different defaults. For more details see `irfftn`.